Skip to main content
GET
Get a candidate

Authorizations

Authorization
string
header
required

API tokens are passed as Bearer tokens.

Path Parameters

candidateId
string
required

a candidate ID. Accepts the canonical prefixed compact UUID, a prefixed dashed UUID, a bare dashed UUID, or a bare compact UUID; input is case-insensitive.

Pattern: ^(?:can_)?(?:[0-9a-fA-F]{32}|[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$
Example:

"can_a1b2c3d4e5f64789a1b2c3d4e5f64789"

Response

Success

id
string
required

Canonical candidate ID (can_ followed by 32 lowercase hexadecimal UUID characters).

Pattern: ^can_[0-9a-f]{32}$
Example:

"can_a1b2c3d4e5f64789a1b2c3d4e5f64789"

name
object
required
primary_email
string<email> | null
required
additional_emails
string<email>[] | null
required

Additional candidate email addresses. Null means PII was redacted because the candidate is anonymized; an empty array means no additional email addresses.

phone_numbers
string[] | null
required

Candidate phone numbers. Null means PII was redacted because the candidate is anonymized; an empty array means no phone numbers.

timezone
string | null
required
linkedin_url
string<uri> | null
required
preferred_name
string | null
required
recruiter
object | null
required
coordinator
object | null
required
ats
object | null
required
anonymized
boolean
required
created_at
string<date-time>
required

ISO 8601 timestamp. Responses are normalized to UTC with a Z suffix.

updated_at
string<date-time>
required

ISO 8601 timestamp. Responses are normalized to UTC with a Z suffix.

app_url
string<uri>
required

Link that opens this resource in the ModernLoop app.